Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.util
Class AreaReference

    java.lang.Object
      org.apache.poi.hssf.util.AreaReference

public class AreaReference
extends java.lang.Object

Constructor Summary
`AreaReference(java.lang.String reference)` Create an area ref from a string representation

Method Summary
`CellReference[]` | `getCells()` return the cell references that define this area
`int` | `getDim()` return the dimensions of this area
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AreaReference

    public AreaReference(java.lang.String reference)

  Create an area ref from a string representation

Method Detail

### getDim

    public int getDim()

  return the dimensions of this area

### getCells

    public CellReference[] getCells()

  return the cell references that define this area

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.